Page MenuHomePhabricator

evas table does not handle max size hints
Closed, ResolvedPublic

Description

  1. create table
  2. create 3 objects to pack in table (A, B, C)
  3. pack A: 0,0 1x1
  4. pack B: 1, 0 1x2
  5. pack C: 0, 1 2x1
  6. set EXPAND+FILL on A
  7. set min+max hints on B: 0x100
  8. set min+max hints on C: 100x0

now if table is resized to 200x200, A will be sized at 200x200 despite adjacent cells which should restrict the rows+columns such that A can only be 100x100

zmike created this task.Oct 20 2017, 11:52 AM
zmike added a comment.Oct 20 2017, 1:06 PM

On closer inspection this may or may not be accurate...needs more testing

jpeg added a subscriber: thiepha.Oct 22 2017, 7:10 PM
bu5hm4n triaged this task as Normal priority.Jun 11 2018, 1:02 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
q66 edited projects, added efl: layout engine; removed Restricted Project.Jun 11 2018, 7:34 AM
Herald closed this task as Resolved. · View Herald TranscriptJan 15 2019, 11:13 AM

Ho Ho Ho! This issue was fixed by Santa!